;****************************************
; General
;****************************************

; Description
; A drush makefile for CiviCRM.

; drush make API version
api = 2

; Drupal core
core = 6.x

;****************************************
; CiviCRM core
;****************************************

; Checking for new updates at:
; http://sourceforge.net/projects/civicrm/files/civicrm-stable/

libraries[civicrm][destination] = modules
libraries[civicrm][directory_name] = civicrm
libraries[civicrm][download][type] = get
libraries[civicrm][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/4.2.19/civicrm-4.2.19-drupal6.tar.gz

; Download latest official l10n releases
libraries[civicrm_l10n_core][destination] = modules
libraries[civicrm_l10n_core][directory_name] = civicrm/l10n
libraries[civicrm_l10n_core][download][type] = file
libraries[civicrm_l10n_core][download][url] = https://download.civicrm.org/civicrm-l10n-core/archives/civicrm-l10n-daily.tar.gz
libraries[civicrm_l10n_core][overwrite] = TRUE

;****************************************
; Patches
;****************************************

; dbLocale is not always initialized - should be fixed in latest civicrm 4.3 version
; http://issues.civicrm.org/jira/browse/CRM-10606
; http://drupal.org/node/1728628#comment-6344856
libraries[civicrm][patch][10606] = http://drupal.org/files/CRM-10606-4.2.7.patch

; bug in api v3 domain
; http://issues.civicrm.org/jira/browse/CRM-11804
libraries[civicrm][patch][11804] = http://drupal.org/files/CRM-11804.patch

; bug in drupal block full search in civicrm (fixed in 4.3)
; http://issues.civicrm.org/jira/browse/CRM-12093
libraries[civicrm][patch][12093] = http://drupal.org/files/CRM-12093.patch

; bug with geocoding in gettext native mode
; should be in next civi4.2 LTS release and is already in 4.3 -- not present in 4.2.12
libraries[civicrm][patch][11833-1] = http://issues.civicrm.org/jira/secure/attachment/19093/map_longitude_and_latitude_values_with_dot_as_decimal_point.diff
libraries[civicrm][patch][11833-2] = http://issues.civicrm.org/jira/secure/attachment/19092/store_geocoding_values_as_strings.diff

; small translation bug
; fixed in 4.3 - so remove when 4.3 become our official stable civicrm version
libraries[civicrm][patch][11200] = http://drupal.org/files/CRM-11200-civicrm-4.2.10.patch

; fix bug that broke varnish cache
; fixed in 4.3 - so remove when 4.3 become our official stable civicrm version
; https://drupal.org/node/2061481
libraries[civicrm][patch][8765] = http://drupal.org/files/CRM-8765-2.patch

; allow 4.2LTS to find translations under LC_MESSAGES directories
; fixed in 4.3 - so remove when 4.3 become our official stable civicrm version
; https://issues.civicrm.org/jira/browse/CRM-13068
libraries[civicrm][patch][13068] = https://github.com/civicrm/civicrm-core/commit/b395e3c0.patch


;****************************************
; End
;****************************************

